Skip to main content
POST
/
api
/
entry-point
/
{version}
/
referee
Find a friend by name
curl --request POST \
  --url https://mention-me.com/api/entry-point/{version}/referee \
  --header 'Content-Type: application/json' \
  --data '
{
  "request": {
    "partnerCode": "[YOUR-PARTNER-CODE]",
    "situation": "mobile-app",
    "localeCode": "en_GB",
    "segment": "vip",
    "ipAddress": "127.0.0.1",
    "userDeviceIdentifier": "",
    "deviceType": "",
    "appName": "",
    "appVersion": "e.g. MyApp/v1.73",
    "variation": ""
  },
  "customer": {
    "emailAddress": "",
    "title": "",
    "firstname": "",
    "surname": "",
    "uniqueIdentifier": ""
  },
  "implementation": {
    "wrapContentWithBranding": true,
    "showCloseIcon": false
  }
}
'
{
  "url": "<string>",
  "defaultCallToAction": ""
}

Documentation Index

Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version
enum<string>
required

Version

Available options:
v2,
v1
Pattern: v2|v1

Body

application/json

Information to retrieve a referee entry point URL

request
Request · object
required

Information about the request

customer
Referee · object

Information about the referee (if you have any)

implementation
Implementation · object

Options for the implementation

Response

Returned when successful

url
string
defaultCallToAction
string
default:""
Last modified on March 31, 2026